You are viewing a plain text version of this content. The canonical link for it is here.
Posted to commits@mesos.apache.org by ji...@apache.org on 2018/05/18 20:34:37 UTC

mesos git commit: Fixed a script used in CI.

Repository: mesos
Updated Branches:
  refs/heads/master 0c8b81719 -> 7ecafb126


Fixed a script used in CI.

The directory might exist in CI, so do a cleanup first.


Project: http://git-wip-us.apache.org/repos/asf/mesos/repo
Commit: http://git-wip-us.apache.org/repos/asf/mesos/commit/7ecafb12
Tree: http://git-wip-us.apache.org/repos/asf/mesos/tree/7ecafb12
Diff: http://git-wip-us.apache.org/repos/asf/mesos/diff/7ecafb12

Branch: refs/heads/master
Commit: 7ecafb126692383ac694e82ac3e4276913a3d29f
Parents: 0c8b817
Author: Jie Yu <yu...@gmail.com>
Authored: Fri May 18 13:34:02 2018 -0700
Committer: Jie Yu <yu...@gmail.com>
Committed: Fri May 18 13:34:32 2018 -0700

----------------------------------------------------------------------
 support/packaging/centos/build-docker-image.sh | 7 ++-----
 1 file changed, 2 insertions(+), 5 deletions(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/mesos/blob/7ecafb12/support/packaging/centos/build-docker-image.sh
----------------------------------------------------------------------
diff --git a/support/packaging/centos/build-docker-image.sh b/support/packaging/centos/build-docker-image.sh
index 028866b..cf7c298 100755
--- a/support/packaging/centos/build-docker-image.sh
+++ b/support/packaging/centos/build-docker-image.sh
@@ -17,15 +17,12 @@ if ! [ -x "$(command -v docker)" ]; then
   exit 1
 fi
 
-if [ -d "${SOURCE_DIR}/centos7" ]; then
-  echo "Please cleanup 'centos7' under your Mesos source directory"
-  exit 1
-fi
-
 function cleanup {
   rm -rf "${SOURCE_DIR}/centos7"
 }
 
+cleanup
+
 trap cleanup EXIT
 
 # Build the image for building Mesos packages.